:root {
  --main-color: #1d212d;
  --topbar-color: linear-gradient(0deg, rgba(0, 0, 0, 0.2), rgba(0, 0, 0, 0.2)),
    #22674b;
  --nav-color: #282b34;
  --nav-link-color: #f0cda3;
  --marquee-color: #282b34;
  --article-title-color: #f0cda3;
  --footer-color: #121111;
  --white-color: #ffffff;
  --primary-color: #f0cda3;
  --section-bg-color: #1e222e;
  --grey-color: #d0d1d1;
  --p-color: #717275;
  --dot-color: #121111;
  --yellow-color: #ffd200;

  --body-font-family: "Inter", sans-serif;

  --h5-font-size: 24px;
  --p-font-size: 20px;
  --copyright-text-font-size: 16px;
  --product-link-font-size: 14px;
  --custom-link-font-size: 12px;

  --font-weight-thin: 100;
  --font-weight-light: 300;
  --font-weight-normal: 400;
  --font-weight-bold: 700;
  --font-weight-black: 900;
}

html {
  scroll-behavior: smooth;
}

@media screen and (prefers-reduced-motion: reduce) {
  html {
    scroll-behavior: auto;
  }
}

body {
  background: var(--main-color);
  color: var(--main-color);
  font-family: var(--body-font-family);
  position: relative;
}

/*---------------------------------------
    TYPOGRAPHY               
  -----------------------------------------*/

h2,
h3,
h4,
h5,
h6 {
  color: #f0cda3;
  line-height: inherit;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-weight: var(--font-weight-bold);
}

h1,
h2 {
  font-weight: var(--font-weight-black);
}

h1 {
  font-size: 54px;
  line-height: normal;
}

h2 {
  font-size: 42px;
}

h3 {
  font-size: 36px;
}

h4 {
  font-size: 32px;
}

h5 {
  font-size: 24px;
}

h6 {
  font-size: 20px;
}

p {
  color: var(--p-color);
  font-size: var(--p-font-size);
  font-weight: var(--font-weight-light);
}

a,
button {
  touch-action: manipulation;
  transition: all 0.3s;
}

a {
  color: var(--p-color);
  text-decoration: none;
}

a:hover {
  color: var(--primary-color);
}

.text-primary {
  color: var(--primary-color) !important;
}

::selection {
  background: var(--primary-color);
  color: var(--white-color);
}

/*---------------------------------------
  PRE LOADER               
-----------------------------------------*/
.preloader {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  z-index: 99999;
  display: flex;
  flex-flow: row nowrap;
  justify-content: center;
  align-items: center;
  background: #1d212d;
}

.spinner {
  border: 1px solid transparent;
  border-radius: 5px;
  position: relative;
}

.spinner::before {
  content: "";
  box-sizing: border-box;
  position: absolute;
  top: 50%;
  left: 50%;
  width: 45px;
  height: 45px;
  margin-top: -10px;
  margin-left: -23px;
  border-radius: 50%;
  border: 1px solid #959595;
  border-top-color: var(--white-color);
  animation: spinner 0.9s linear infinite;
}

@keyframes spinner {
  to {
    transform: rotate(360deg);
  }
}

/*---------------------------------------
  NAVIGATION               
-----------------------------------------*/
.navbar {
  position: fixed;
  background: var(--nav-color);
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.25098039215686274);
  /* top: 40px; */
  right: 0;
  left: 0;
  padding: 25px 0;
  z-index: 98;
}

.navbar .navbar-collapse {
  padding-right: 115px;
}

/* 反光效果 */
.reflected-image {
  position: relative;
  display: block;
}

.reflected-image::after {
  content: "";
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 50%;
  background: linear-gradient(
    to right,
    rgba(255, 255, 255, 0.7),
    rgba(255, 255, 255, 0.2),
    rgba(255, 255, 255, 0.7)
  );
  transform: scaleY(-1);
  mask-image: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 1)
  );
  -webkit-mask-image: linear-gradient(
    to bottom,
    rgba(255, 255, 255, 0),
    rgba(255, 255, 255, 1)
  );
}

.nav-icon {
  width: 40px;
  height: 40px;
  margin-right: 6px;
  vertical-align: middle;
}

.navbar span,
h2 span,
h4 span {
  color: var(--primary-color);
}

.navbar.headroom--not-top {
  padding: 20px 0;
}

.headroom--pinned {
  transform: translate(0, 0);
}

.navbar-brand {
  color: #f0cda3;
  font-size: 24px;
  font-weight: var(--font-weight-light);
  margin: 0;
  padding: 0;
}

.navbar-expand-lg .navbar-nav .nav-link {
  display: inline-block;
  padding: 0;
  margin-right: 0.5rem;
  margin-left: 0.5rem;
}

.nav-link {
  color: var(--white-color);
  font-size: 16px;
  position: relative;
  font-weight: bolder;
}

.navbar .nav-link::after {
  position: absolute;
  top: 100%;
  left: 0;
  width: 100%;
  height: 2px;
  background: var(--nav-link-color);
  content: "";
  opacity: 0;
  -webkit-transition: opacity 0.3s, -webkit-transform 0.3s;
  -moz-transition: opacity 0.3s, -moz-transform 0.3s;
  transition: opacity 0.3s, transform 0.3s;
  -webkit-transform: translateY(10px);
  -moz-transform: translateY(10px);
  transform: translateY(10px);
}

.navbar .nav-link.active::after,
.navbar .nav-link:hover::after {
  opacity: 1;
  -webkit-transform: translateY(0px);
  -moz-transform: translateY(0px);
  transform: translateY(0px);
}

.navbar .nav-link.active,
.navbar .nav-link:hover {
  color: var(--nav-link-color);
}

.nav-link:focus,
.nav-link:hover {
  color: var(--p-color);
}

.nav-right {
  position: absolute;
  right: 0;
  top: 50%;
  transform: translateY(-50%);
  z-index: 99;
}

.nav-right .btn {
  margin-right: 10px;
}

.nav-right .nav-register {
  display: inline-block;
  padding: 10px 13px;
  border: 2px solid #f0cda3;
  color: #333;
  transform: skew(-20deg);
  margin-right: -5px;
}

.nav-right .nav-register div {
  transform: skew(20deg);
  font-weight: bold;
  background: linear-gradient(90deg, #fff5e2, #f0cda3);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
}

.nav-right .nav-login {
  color: #1d212d;
  background: linear-gradient(90deg, #fff5e2, #f0cda3);
  padding: 10px 20px;
  text-align: center;
  font-weight: bold;
  border: none;
  clip-path: polygon(18% 0, 100% 0, 100% 100%, 0% 100%);
}

.nav-right .nav-register:hover {
  background: linear-gradient(90deg, #fff5e2, #f0cda3);
}

.nav-right .nav-register:hover div {
  background: #1d212d;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
  background-clip: text;
  text-fill-color: transparent;
}

.nav-right .nav-login:hover {
  background: linear-gradient(90deg, #fbd897, #e6a75a),
    linear-gradient(0deg, #fff, #fff);
}

@media (max-width: 991px) {
  .navbar-collapse {
    display: block !important;
    flex-basis: 0% !important;
  }

  .navbar-nav {
    display: none;
    flex-direction: row;
    justify-content: center;
  }

  .navbar-nav .nav-item {
    margin: 5px 0px !important;
    padding: 0 !important;
  }

  .navbar-nav .nav-item a {
    margin: 5px 10px !important;
  }

  .navbar-brand {
    animation: hvr-pop 5s linear 0s infinite;
  }

  @keyframes hvr-pop {
    6% {
      transform: scale(1.2);
    }
    10% {
      transform: scale(1);
    }
    100% {
      transform: scale(1);
    }
  }
}

/*---------------------------------------
  carousel              
-----------------------------------------*/
.carousel {
  margin: 0 5%;
  box-shadow: 0 2px 3px rgba(0, 0, 0, 0.25098039215686274);
  margin-bottom: 90px;
}

.carousel-indicators {
  bottom: -90px;
}

.carousel-indicators [data-bs-target] {
  width: 15px;
  height: 15px;
  border-radius: 50%;
  background-color: white;
  opacity: 0.5;
}

.carousel-indicators .active {
  opacity: 1;
  background-color: #ffb915;
  scale: 1.3;
}

.carousel-inner {
  top: 90px;
}

@media (max-width: 991px) {
  .carousel-indicators [data-bs-target] {
    width: 10px;
    height: 10px;
  }
}

/*---------------------------------------
  marquee        
-----------------------------------------*/
.marquee-container {
  bottom: 0px;
  left: 0;
  width: 92%;
  background: var(--marquee-color);
  text-align: center;
  padding: 10px 15px;
  z-index: 10;
  margin: 5px auto 40px;
  border-radius: 999px;
  position: relative;
  top: 15px;
  transition: background 0.3s ease;
}

.marquee-container:hover {
  background: rgba(255, 255, 255, 0.1); /* 或你也可以調整為更亮的漸層 */
}

.marquee-wrapper {
  display: flex;
  align-items: center;
  gap: 10px;
}

.marquee-container marquee {
  font-size: 18px;
  font-weight: bold;
  white-space: nowrap;
  flex: 1;
}

.marquee-icon {
  width: 32px;
  height: auto;
  margin-left: 10px;
}

/* 適應不同裝置，確保 marquee 位置不會超出 */
@media (max-width: 992px) {
  .marquee-container {
    padding: 8px 5px;
  }
}

@media (max-width: 768px) {
  .marquee-container {
    padding: 6px 5px;
  }

  .marquee-container marquee {
    font-size: 15px;
  }
}

/*---------------------------------------
  list carousel
-----------------------------------------*/
.carousel-header {
  display: flex;
  justify-content: space-between;
  align-items: center;
  margin: 0px auto 0px;
  width: 92%;
  padding: 0 15px;
}

.carousel-title-left {
  display: flex;
  align-items: center;
}

.carousel-title-left .icon {
  width: 65px;
  height: 65px;
  margin-right: 8px;
}

.title-text {
  font-size: 35px;
  font-weight: bold;
  background: linear-gradient(90deg, #fff5e2, #f0cda3);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.game-more {
  width: 34px;
  height: 34px;
  cursor: pointer;
  border-radius: 50%;
  border: 2px solid transparent;
  background-clip: padding-box, border-box;
  background-origin: padding-box, border-box;
  background-image: linear-gradient(90deg, #1d212d, #1d212d),
    linear-gradient(90deg, #fff5e2, #f0cda3);
  display: flex;
  justify-content: center;
  align-items: center;
  gap: 4px;
}

.game-more .circle {
  width: 4px;
  height: 4px;
  background: linear-gradient(90deg, #fff5e2, #f0cda3);
  border-radius: 50%;
}

.product-carousel {
  width: 95%;
  margin: 0 auto;
  position: relative;
  display: flex;
  align-items: center;
  padding: 20px 40px;
  border-radius: 20px;
  overflow: hidden;
}

.carousel-track {
  display: flex;
  overflow-x: auto;
  scroll-behavior: smooth;
  gap: 20px;
  padding: 10px;
  flex: 1;
  scrollbar-width: none;
  -ms-overflow-style: none;
}

.product-item {
  width: 200px;
  flex-shrink: 0;
  text-align: center;
}

.product-item .img-box {
  position: relative;
  border-radius: 12px;
  overflow: hidden;
}

.product-item img {
  width: 100%;
  aspect-ratio: 1 / 1;
  object-fit: cover;
  border-radius: 12px;
  display: block;
}

.product-item .btn-wrap {
  width: 100%;
  height: 100%;
  flex-direction: column;
  position: absolute;
  top: 0;
  left: 0;
  background: #000;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: 0.2s;
  opacity: 0;
  border-radius: 12px;
  background-image: none;
}

.product-item .btn-wrap:hover {
  opacity: 0.8;
  background-image: linear-gradient(180deg, #edd185, #e8bd70);
}

.product-item .btn-wrap .play {
  border: 2px solid #fff;
  background-color: #000;
  color: #fff;
  font-weight: 700;
  cursor: pointer;
  transition: 0.2s;
  text-align: center;
  border-radius: 50px;
  padding: 9px 15px;
  font-size: 14px;
}

.product-item .btn-wrap .play:hover {
  background-color: #0f1f2f;
}

.product-title {
  position: relative;
  margin-top: 8px;
  font-weight: bold;
  background: linear-gradient(90deg, #fff5e2, #f0cda3);
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.product-title::before {
  content: "";
  position: absolute;
  left: 0;
  top: 50%;
  width: 20px;
  height: 20px;
  transform: translateY(-50%);
  background-image: url("/images/merry-ph-heart.png");
  background-size: contain;
  background-repeat: no-repeat;
}

.arrow {
  display: flex;
  justify-content: center;
  align-items: center;
  position: absolute;
  z-index: 1;
  width: 48px;
  height: 48px;
  border-radius: 50%;
  cursor: pointer;
  transform: translateY(-40%);
  background: linear-gradient(90deg, #fff5e2, #f0cda3);
  border: none;
  outline: none;
}

.arrow:hover {
  box-shadow: 0 0 15px hsla(0, 0%, 100%, 0.49);
}

.left-arrow {
  left: 10px;
}

.right-arrow {
  right: 10px;
}

/* 箭頭圖形 */
.arrow::before {
  content: "";
  width: 15px;
  height: 15px;
  background: transparent;
  border-left: 5px solid #1d212d;
  border-bottom: 5px solid #1d212d;
  transform: rotate(225deg);
}

/* 左箭頭反轉 */
.left-arrow::before {
  transform: rotate(45deg);
}

@media (max-width: 991px) {
  .carousel-header {
    display: none;
  }

  .product-carousel {
    display: none;
  }
}

/*---------------------------------------
  scroll
-----------------------------------------*/

.jackpot {
  display: block;
  margin: 0px auto 0px;
  width: 90%;
  background-size: cover;
  background-position: center;
  background-size: contain;
  background-repeat: no-repeat;
  min-height: 700px;
  display: flex;
  align-items: center;
  justify-content: center;
  font-size: 50px;
  font-weight: bold;
  color: #1d212d;
  filter: drop-shadow(0 2px 0.8px rgba(0, 0, 0, 0.69));
  font-weight: 700;
  text-shadow: 0 1.933px 0.966px rgba(0, 0, 0, 0.4);
  padding: 2vw;
}

.jackpot .point {
  /* color: #ffd200; */
  display: flex;
  align-items: flex-end;
  margin-bottom: 5%;
}

.jackpot .money {
  display: flex;
  gap: 10px;
}

.jackpot-num__list {
  display: flex;
  gap: 15px;
  margin-top: 8vw;
  font-size: 5vw;
  margin-right: 60px;
}

.jackpot-num__item {
  width: 3vw;
  height: 5vw;
  overflow: hidden;
  border-radius: 15px;
  /* background-image: linear-gradient(180deg, #fbf151, #fcaa09); */
  /* border: 1px solid #7b580c; */
  /* box-shadow: 0 0.04rem 0.04rem 0 rgba(0, 0, 0, 0.25); */
  text-align: center;
  height: 90px;
}

.scroll-num {
  transition: transform 1s ease-in-out;
  list-style: none;
  padding: 0;
}

.scroll-num li {
  height: 90px;
  line-height: 90px;
  font-size: 5vw;
  font-weight: bold;
  color: linear-gradient(
    100deg,
    #0d2364 -4.56%,
    #2b52dc 33.89%,
    #14287e 74.63%,
    #0d2364 110.2%
  );
  font-size: 5vw;
}

@media (max-width: 991px) {
  .jackpot {
    display: none;
  }
}

/*---------------------------------------
  slots layout            
-----------------------------------------*/
.slots-layout {
  width: 92%;
  display: none;
  flex-direction: column;
  gap: 5px;
  margin: 0px auto 0px;
  margin-bottom: 20px;
}

.slots-layout .slots-item {
  display: flex;
  flex-direction: row;
  gap: 5px;
  width: 100%;
}

.slots-layout .nav-item {
  flex: 1;
  background: linear-gradient(
    2deg,
    #1f2630 17.06%,
    #343d4b 62.52%,
    #1f2630 119.1%,
    #343d4b 188.67%
  );
  height: 70px;
  border-radius: 6px;
  display: flex;
  align-items: center;
  justify-content: center;
  gap: 5px;
}

.nav-item .icon {
  width: auto;
  height: 40px;
  border-radius: 4px;
  object-fit: cover;
  padding-left: 8px;
}

.nav-item p {
  margin: 0;
  font-weight: bold;
  font-size: 0.9rem;
  line-height: 1;
  border-radius: 4px;
  background: linear-gradient(
    103deg,
    #ffe773 4.39%,
    #f7b03c 19.69%,
    #ffce41 40.25%,
    #ffea76 53.15%,
    #fdca54 68.93%,
    #fbc772 86.62%,
    #f9b23e
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

@media (max-width: 991px) {
  .slots-layout {
    display: flex;
  }
}

/*---------------------------------------
  Team
-----------------------------------------*/
.team {
  width: 92%;
  display: none;
  background: linear-gradient(
    82deg,
    #1f2630 7.48%,
    #343d4b 31.91%,
    #1f2630 62.32%,
    #343d4b 99.71%
  );
  border-radius: 24px;
}

.team .game-title-wrap {
  position: relative;
  margin-bottom: 0.32rem;
  padding-left: 1.28rem;
  height: 3.48rem;
  display: flex;
  align-items: center;
}

.team .game-title-wrap::before {
  content: "";
  width: 0.4rem;
  height: 2.48rem;
  position: absolute;
  top: 10px;
  left: 5px;
  background: linear-gradient(
    103deg,
    #ffe773 4.39%,
    #f7b03c 19.69%,
    #ffce41 40.25%,
    #ffea76 53.15%,
    #fdca54 68.93%,
    #fbc772 86.62%,
    #f9b23e
  );
}

.team .game-title-wrap span {
  font-size: 2rem;
  font-weight: 800;
  background: linear-gradient(
    103deg,
    #ffe773 4.39%,
    #f7b03c 19.69%,
    #ffce41 40.25%,
    #ffea76 53.15%,
    #fdca54 68.93%,
    #fbc772 86.62%,
    #f9b23e
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.team-item {
  border-radius: 1rem;
  overflow: hidden;
}

.team-item a img {
  border-radius: 10px;
  margin: 0 0px;
}

.team .text-center {
  display: flex;
  align-items: center; /* 垂直居中對齊 */
  justify-content: center; /* 水平居中對齊 */
}

.team .text-center img {
  border-radius: 20px;
  margin: 0 10px;
}

.team .text-center h5 {
  color: white !important;
  margin-top: 10px;
  font-weight: bold;
  text-shadow: 0 0.03rem 0.06rem #000 !important;
}

.team .text-center h2 {
  align-items: center;
}

.team .text-center h2 {
  margin-bottom: 0;
}

.team .team-item .img-fluid {
  max-width: 170px;
  width: 100%;
  height: auto;
  display: block;
  object-fit: contain;
}

@media (max-width: 991px) {
  .team {
    display: block;
    padding-top: 0px !important;
  }

  .team .text-center h5 {
    margin-top: 10px;
    font-weight: normal;
    font-size: clamp(0.7rem, 2vw, 1.2rem);
  }
}

/*---------------------------------------
  article               
-----------------------------------------*/
/* .front-product {
  background: var(--white-color);
} */

.front-product .lead {
  font-size: 16px;
  font-weight: var(--font-weight-black);
  color: white;
  white-space: pre-line;
}

.front-product h1 {
  color: var(--article-title-color);
}

.front-product h2 {
  color: var(--article-title-color);
}

@media (max-width: 991px) {
  .front-product .px-5 {
    padding-bottom: 0px !important;
  }
}

/*---------------------------------------
  SITE FOOTER               
-----------------------------------------*/
.site-footer {
  background: var(--footer-color);
  padding-top: 3rem;
  padding-bottom: 5rem;
  color: #5a746c;
}

.footer-menu {
  margin: 0;
  padding: 0;
}

.footer-menu-item {
  display: block;
  width: 50%;
}

.footer-menu-link {
  color: #6c757d;
  font-weight: var(--font-weight-light);
  display: inline-block;
  vertical-align: top;
  margin-top: 4px;
  margin-bottom: 4px;
}

.site-footer .social-icon-link {
  margin-top: 4px;
}

.site-footer .social-icon-link:hover,
.footer-menu-link:hover {
  color: var(--white-color);
}

.copyright-text {
  font-size: var(--copyright-text-font-size);
}

/*---------------------------------------
  sidebar-pc-CustomerService             
-----------------------------------------*/
.sidebar-pc-CustomerService {
  border-top-left-radius: 10px;
  position: fixed;
  right: 0px;
  top: 50%;
  transform: translateY(-50%);
  z-index: 1000;
  background: linear-gradient(90deg, #fff5e2, #f0cda3),
    linear-gradient(0deg, #fff, #fff);
  box-shadow: 0 5px 14px 0 #00170e;
}

.sidebar-pc-CustomerService:hover {
  background: linear-gradient(90deg, #fbd897, #e6a75a),
    linear-gradient(0deg, #fff, #fff);
}

.sidebar-pc-CustomerService img {
  width: 45px;
  height: 45px;
  margin: 10px 12px;
  max-height: 100%;
}

@media (max-width: 991px) {
  .sidebar-pc-CustomerService {
    display: none;
  }
}

/*---------------------------------------
  sidebar-pc-donload            
-----------------------------------------*/
.sidebar-pc-donload {
  border-top-left-radius: 10px;
  position: fixed;
  right: 0px;
  top: 61%;
  transform: translateY(-50%);
  z-index: 1000;
  background: linear-gradient(90deg, #fff5e2, #f0cda3),
    linear-gradient(0deg, #fff, #fff);
  box-shadow: 0 5px 14px 0 #00170e;
}

.sidebar-pc-donload:hover {
  background: linear-gradient(90deg, #fbd897, #e6a75a),
    linear-gradient(0deg, #fff, #fff);
}

.sidebar-pc-donload img {
  width: 45px;
  height: 45px;
  margin: 10px 12px;
  max-height: 100%;
}

@media (max-width: 991px) {
  .sidebar-pc-donload {
    display: none;
  }
}

/*---------------------------------------
  back-to-top              
-----------------------------------------*/

.back-to-top {
  position: fixed;
  right: 15px;
  bottom: 15%;
  z-index: 99;
  background: linear-gradient(90deg, #fff5e2, #f0cda3),
    linear-gradient(0deg, #fff, #fff);
  border: 1px solid #f89317;
}

.back-to-top:hover {
  background: linear-gradient(90deg, #fbd897, #e6a75a),
    linear-gradient(0deg, #fff, #fff);
}

.back-to-top i {
  display: inline-block;
  width: 12px;
  height: 12px;
  border-left: 3px solid var(--main-color);
  border-bottom: 3px solid var(--main-color);
  transform: rotate(135deg);
  margin-top: 3px;
  font-size: 24px;
  color: var(--main-color);
  transition: transform 0.3s ease-in-out;
}

@media (max-width: 991px) {
  .back-to-top {
    right: 30px;
    bottom: 23%;
  }
}

/*---------------------------------------
  sidebar-phone             
-----------------------------------------*/
/* sidebar-service */
.sidebar-service {
  position: fixed;
  right: 5px;
  bottom: 0%;
  transform: translateY(-50%);
  z-index: 1000;
  display: none;
}

.sidebar-service img {
  width: 70px;
  height: auto;
  margin: 30px 30px;
  max-height: 100%;
}

@media (max-width: 991px) {
  .sidebar-service {
    display: block;
  }

  .sidebar-service img {
    width: 60px;
    height: auto;
    margin: 20px 0px;
  }
}

/* sidebar-wallet */
.sidebar-wallet {
  position: fixed;
  left: 15px;
  bottom: 8%;
  transform: translateY(-50%);
  z-index: 1000;
  display: none;
  animation: walletEffect 1.5s ease-in-out infinite;
}

.sidebar-wallet img {
  width: 70px;
  height: auto;
  margin: 30px 30px;
  max-height: 100%;
}

@media (max-width: 991px) {
  .sidebar-wallet {
    display: block;
  }

  .sidebar-wallet img {
    width: 40px;
    height: auto;
    margin: 20px 0px;
  }
}

@keyframes walletEffect {
  0% {
    transform: scale(1);
  }
  14% {
    transform: scale(1.3);
  }
  28% {
    transform: scale(1);
  }
  42% {
    transform: scale(1.3);
  }
  70% {
    transform: scale(1);
  }
  100% {
    transform: scale(1);
  }
}

/*---------------------------------------
  footer menu             
-----------------------------------------*/
.footer-menu {
  position: fixed;
  bottom: 0;
  left: 0;
  width: 100%;
  background-image: url(/images/merry-ph-footer-menu.png) !important;
  background-size: 100% 100%;
  background-repeat: no-repeat;
  background-position: bottom center;
  display: none;
  justify-content: space-around;
  align-items: center;
  padding: 0 0;
  z-index: 999;
}

.footer-item {
  display: flex;
  flex-direction: column;
  align-items: center;
  color: #aac5ba;
  font-size: 12px;
  font-weight: bold;
}

.footer-item .menu-pic {
  width: 28px;
  height: 28px;
  margin-bottom: 4px;
}

.footer-item.equal {
  flex: 1;
  text-align: center;
}

.footer-item.equal span {
  background: linear-gradient(
    103deg,
    #ffe773 4.39%,
    #f7b03c 19.69%,
    #ffce41 40.25%,
    #ffea76 53.15%,
    #fdca54 68.93%,
    #fbc772 86.62%,
    #f9b23e
  );
  background-clip: text;
  -webkit-background-clip: text;
  -webkit-text-fill-color: transparent;
}

.footer-item .center-menu {
  position: relative;
  top: -30px;
  width: 60px;
  height: 60px;
  border-radius: 50%;
  justify-content: center;
  display: flex;
  flex-direction: column;
  align-items: center;
  z-index: 1;
}

.footer-item.deposito img {
  position: relative;
  top: -30px;
  width: 28px;
  height: 28px;
  margin-bottom: 4px;
}

/* 僅在手機版顯示 */
@media (max-width: 991px) {
  .footer-menu {
    display: flex;
  }
}

/*---------------------------------------
  FAQ             
-----------------------------------------*/
.faq {
  width: 90%;
  margin: 20px auto;
}

.faq-title {
  color: white;
  font-size: 30px;
  background-color: rgba(255, 183, 31, 0.4);
  padding: 3px 10px;
  border-radius: 5px;
}

.accordion {
  width: 90%;
  margin: 0 auto;
}

.accordion-item {
  background: var(--main-color) !important;
}

.accordion-header button {
  background: var(--main-color) !important;
  color: white;
}

.accordion-item + .accordion-item {
  border-top: 1px solid black;
}

.accordion-button::after {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 16 16' fill='%23ffffff'%3e%3cpath fill-rule='evenodd' d='M1.646 4.646a.5.5 0 0 1 .708 0L8 10.293l5.646-5.647a.5.5 0 0 1 .708.708l-6 6a.5.5 0 0 1-.708 0l-6-6a.5.5 0 0 1 0-.708z'/%3e%3c/svg%3e");
}

.accordion-body {
  color: white;
}

.accordion-button:focus {
  color: #ffb71f;
}

/*---------------------------------------
  author             
-----------------------------------------*/
.author {
  width: 90%;
  margin: 20px auto;
}

.author-title {
  color: white;
  font-size: 30px;
  background-color: rgba(255, 183, 31, 0.4);
  padding: 3px 10px;
  border-radius: 5px;
}

.author-box {
  background-color: #333;
  color: white;
  border-radius: 10px;
  height: auto;
}

.author-image {
  width: 150px;
  height: 100%;
  overflow: hidden;
  border-radius: 8px;
  flex-shrink: 0;
}

.author-image img {
  width: 100%;
  height: 100%;
  object-fit: cover;
  display: block;
}

.author-icons i {
  color: white;
  font-size: 20px;
  cursor: pointer;
}

.author-icons i:hover {
  color: #ffb71f;
}

.author-info h4 {
  color: #ffb71f;
}

.author-info p {
  color: white;
  font-size: 15px;
}

@media (max-width: 991px) {
  .author-image {
    width: 100%;
    max-width: 200px;
    margin: 0 auto;
  }

  .author-icons {
    justify-content: center;
  }

  .author-info {
    text-align: center;
  }
}

/*---------------------------------------
  privacy-link             
-----------------------------------------*/
.privacy-link {
  color: #ffb71f;
}

.privacy-link:hover {
  color: white;
}

/*---------------------------------------
  author             
-----------------------------------------*/
.privacy {
  width: 90%;
  margin: 0 auto;
  padding-top: 130px;
  color: #fff;
}

.privacy-title {
  color: white;
  font-size: 30px;
  background-color: rgba(255, 183, 31, 0.4);
  padding: 3px 10px;
  border-radius: 5px;
}

.privacy-content h5 {
  font-size: 1.25rem;
  margin-top: 1.5rem;
  color: #ffb71f;
}

.privacy-content p,
.privacy-content ul {
  font-size: 0.95rem;
  line-height: 1.6;
}

.privacy-content ul {
  padding-left: 1.25rem;
}
